#!/usr/bin/env python

#General Modules
import math

#OLED Modules
import Adafruit_SSD1306
import Image
import ImageFont
import ImageDraw

#custom font
customFont = "/home/pi/Documents/cncNotes/oled/CaviarDreams_Bold.ttf"

# Raspberry Pi pin configuration:
RST = 24

# 128x32 display with hardware I2C:
disp = Adafruit_SSD1306.SSD1306_128_32(rst=RST)

# Initialize library.
disp.begin()

# Get display width and height.
width = disp.width
height = disp.height

# Clear display.
disp.clear()
disp.display()

# Create image buffer.
# Make sure to create image with mode '1' for 1-bit color.
image = Image.new('1', (width, height))

# Load default font.
#font = ImageFont.load_default()
font = ImageFont.truetype(customFont, 16)

# Create drawing object.
draw = ImageDraw.Draw(image)

# Define text and get total width.
#text = 'Hello world'
#maxwidth, unused = draw.textsize(text, font=font)

# text <any text>
# infill <0 = dark text, 255 or 1 = bright text>
def draw_rectangle_full_screen(infill):
	intVal = 0
	if(infill):
		intVal = 1
	else:
		intVal = 0
	draw.rectangle((0,0,width,(height)), outline=0, fill=intVal)

def draw_rectangle_top_screen(infill):
	intVal = 0
	if(infill):
		intVal = 1
	else:
		intVal = 0
	draw.rectangle((0,0,width,(height/2)), outline=0, fill=intVal)

def draw_rectangle_bottom_screen(infill):
	intVal = 0
	if(infill):
		intVal = 1
	else:
		intVal = 0
	draw.rectangle((0,(height/2),width,height), outline=0, fill=intVal)

def draw_text_top_screen(text, infill):
	intVal = 0
	if(infill):
		intVal = 1
	else:
		intVal = 0
	draw.text((0,0), text, font=font, fill=intVal)

def draw_text_bottom_screen(text, infill):
	intVal = 0
	if(infill):
		intVal = 1
	else:
		intVal = 0
	draw.text((0,(height/2)), text, font=font, fill=intVal)

# Draw the image buffer.
def draw_image_buffer():
	disp.image(image)
	disp.display()

